package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SchedulBillCollection extends AbstractObjectCollection 
{
    public SchedulBillCollection()
    {
        super(SchedulBillInfo.class);
    }
    public boolean add(SchedulBillInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(SchedulBillCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SchedulBillInfo item)
    {
        return removeObject(item);
    }
    public SchedulBillInfo get(int index)
    {
        return(SchedulBillInfo)getObject(index);
    }
    public SchedulBillInfo get(Object key)
    {
        return(SchedulBillInfo)getObject(key);
    }
    public void set(int index, SchedulBillInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(SchedulBillInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SchedulBillInfo item)
    {
        return super.indexOf(item);
    }
}